'use strict';

const container = require('../Container');
const Config = container.get('Config');
const DBModel = container.getBase('DBModel');

class UserModel extends DBModel {
	constructor() {
		super();
	}

	getAll() {
		return this.db.get('users');
	}

	getUserById(userId) {
		return this.db.from('users')
			.where('id', userId)
			.get();
	}
}

module.exports = new UserModel();
